﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.LightSwitch;
namespace LightSwitchApplication
{
    public partial class Asset
    {
        partial void AssetTag_Validate(
            EntityValidationResultsBuilder results)
        {
            if(!(this.AssetTag.StartsWith("DSK-") 
            || this.AssetTag.StartsWith("MOB-") ||
                this.AssetTag.StartsWith( "SVR-")))
            {
                results.AddPropertyError(
                    "Invalid asset tag, must start with DSK-,MOB-, or SVR-");

            }

        }
    }
}
