using System;
using System.ComponentModel.Composition;

using Microsoft.LightSwitch.Runtime.Shell;

namespace PluralsightExtensions.Presentation.Shells.Components
{
    [Export(typeof(IShell))]
    [Shell(PluralsightShell.ShellId)]
    internal class PluralsightShell : IShell
    {
        #region IShell Members

        public string Name
        {
            get { return PluralsightShell.ShellId; }
        }

        public Uri ShellUri
        {
            get { return new Uri(@"/PluralsightExtensions.Client;component/Presentation/Shells/PluralsightShell.xaml", UriKind.Relative); }
        }

        #endregion

        #region Constants

        private const string ShellId = "PluralsightExtensions:PluralsightShell";

        #endregion
    }
}
